Retrieve a Facebook campaign with its linked adsets and ads

http
GET https://services.leadconnectorhq.com/ad-publishing/facebook/campaign/{campaignId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
campaignIdstringYes120208142050850608Campaign identifier

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier
fieldsstringNoadsets,adsComma-separated field names
sourcestringNofacebookCampaign data source

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaign/YOUR_campaignId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?